<template>
  <div>
    <div class="tabs">
      <ul class="tabs__list">
        <li v-for="(tab) in tabs" :key="tab.id" class="tabs__item" :class="{ 'is-active': tab.isActive }">
          <a :href="tab.href" @click="selectTab(tab)" class="tab-link">
            <!--<img class="tabIcon" :src="getIcon(index)" alt="iconTab">-->
            {{ tab.name }}
          </a>
        </li>
        <li class="tabs__item"><a href="#" class="tabs__log-out" @click="logOut">Log Out</a></li>
      </ul>
    </div>

    <div class="tabs-details">
      <slot></slot>
    </div>
  </div>
</template>

<script>
	export default {
		name: "Tabs",
		data() {
			return {
				// icons: ['tab_svg_1', 'tab_svg_2', 'tab_svg_3', 'tab_svg_4', 'tab_svg_5', 'tab_svg_6', 'tab_svg_7'],
				tabs: []
			}
		},

		created() {
			this.tabs = this.$children;
		},

		methods: {
			selectTab(selectedTab) {
				this.tabs.forEach(tab => {
					tab.isActive = (tab.name === selectedTab.name);
				})
			},
			// getIcon(index) {
			// 	return require(`@/assets/img/svg/account_tabs/${this.icons[index]}.svg`)
			// },
			logOut() {
				this.$emit('logOutFromTab', this.tabs)
			}
		}
	}
</script>

<style lang="sass" scoped>
  .tabIcon
    margin-right: 8px

    .tabIconLast
      margin-left: 6px
</style>
